# class Tk::Iwidgets::Dialogshell

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

add(tag=nil, keys={}) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 62
    def add(tag=nil, keys={})
      if tag.kind_of?(Hash)
        keys = tag
        tag = nil
      end
      if tag
        tag = Tk::Itk::Component.new(self, tagid(tag))
      else
        tag = Tk::Itk::Component.new(self)
      end
      tk_call(@path, 'add', tagid(tag), *hash_kv(keys))
      tag
    end

default(idx) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 76
    def default(idx)
      tk_call(@path, 'default', index(idx))
      self
    end

delete(idx) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 81
    def delete(idx)
      tk_call(@path, 'delete', index(idx))
      self
    end

hide(idx) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 86
    def hide(idx)
      tk_call(@path, 'hide', index(idx))
      self
    end

index(idx) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 91
    def index(idx)
      number(tk_call(@path, 'index', tagid(idx)))
    end

insert(idx, tag=nil, keys={}) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 95
    def insert(idx, tag=nil, keys={})
      if tag.kind_of?(Hash)
        keys = tag
        tag = nil
      end
      if tag
        tag = Tk::Itk::Component.new(self, tagid(tag))
      else
        tag = Tk::Itk::Component.new(self)
      end
      tk_call(@path, 'insert', index(idx), tagid(tag), *hash_kv(keys))
      tag
    end

invoke(idx=nil) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 109
    def invoke(idx=nil)
      if idx
        tk_call(@path, 'invoke', index(idx))
      else
        tk_call(@path, 'invoke')
      end
      self
    end

show(idx) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 118
    def show(idx)
      tk_call(@path, 'show', index(idx))
      self
    end

tagid(tagOrId) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 41
    def tagid(tagOrId)
      if tagOrId.kind_of?(Tk::Itk::Component)
        tagOrId.name
      else
        #_get_eval_string(tagOrId)
        tagOrId
      end
    end

### Private Instance Methods

__item_boolval_optkeys(id) click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 36
    def __item_boolval_optkeys(id)
      super(id) << 'defaultring'
    end

__item_cget_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 26
    def __item_cget_cmd(id)
      [self.path, 'buttoncget', id]
    end

__item_config_cmd(id) click to toggle source

    # File lib/tkextlib/iwidgets/dialogshell.rb, line 31
    def __item_config_cmd(id)
      [self.path, 'buttonconfigure', id]
    end